---
layout: page
permalink: /external/exchange-channels/
---
# Exchanging Research Data with Collaborators

LCSB provides two channels for the exchange of data with research collaborators:

* **LCSB ownCloud**: This is a private cloud storage service for the use of LCSB staff and collaborators. It is suitable for exchanging small-sized data files (up to 1-2 gigabyte). All communication with the LCSB ownCloud server is SSL encrypted.
* **LCSB Download/Upload Manager (DUMA)**: This is an IBM Aspera  deployment. It is suitable for large-sized data files (several gigabytes or terabytes). Aspera has a built in end-to-end encryption feature, meaning your data will  not only be encrypted during transmission, it will stay encrypted at the other end until an authorised party picks it up.


## Using LCSB ownCloud

A LUMS account is needed in order to use LCSB ownCloud. LUMS accounts for staff are normally created within the first few days of starting work at the LCSB. In addition to staff, researchers at Partner Institutes may be given LUMS accounts. If you have inquiries/requests on LUMS accounts, please create a ticket on [ServiceNow](https://service.uni.lu/) using catalog item **Home/Catalog/LCSB/BioCore**.

Similar to other cloud storage systems, ownCloud is accessible both via a browser and also via a client application. On the web, LCSB's ownCloud is at [https://owncloud.lcsb.uni.lu/](https://owncloud.lcsb.uni.lu/) <br/> ![Alt](owcld_1.png "Title")

You can download the ownCloud client suitable for your staff computer [here](https://owncloud.lcsb.uni.lu/). User documentation on ownCloud tools and portal can be found [here](https://doc.owncloud.com/server/index.html).

LCSB staff should observe the following guidance when using ownCloud:

* Limit folder shares to only the personnel that needs to access data.
* When sharing via Links, always set a **password** and an **expiration date** for the link. <br/> ![Alt](owcld_2.png "Title")

* When sharing via Links, **please do not send the link passwords to collaborators in email**. Instead, use secure password sharing tools listed [here](../passwords/).



## Using LCSB DUMA

The use of DUMA is mediated by the LCSB Data Stewardship team.
DUMA can be accessed via a web browser or via a command-line utility. In order to use DUMA, create a ticket on [ServiceNow](https://service.uni.lu/) using the catalog item **Home/Catalog/LCSB/BioCore**.

 *  If you want to make data available for download, then please specify in your ticket the current source location of your data (e.g. HPC, staff computer).
 *  If collaborators will be uploading data, then please specify in your ticket the target storage location you want your data to arrive (e.g. HPC, staff computer).
 *  In your ticket also specify whether you will use DUMA via the web or command-line interface.
 *  Depending on your choice of interface you will receive:

	- a **token** (for command line)
	- an **access link and a token** (for web)

When sharing DUMA access tokens with collaborators, use password link generator tools listed [here](../passwords/).


In the following we describe instructions on how to use DUMA web  interface. The instructions for using the command-line client can be found [here](https://asperaweb.lcsb.uni.lu/help/-Sc1j1kj_zkkFAVjwKgMwbGMa7_iyiv6Ob7GwKV_)

1. you will receive an **access link** and a **token** from the Data Steward. Access link is a download/upload area that can be reached by you and/or collaborator.  You will be prompted for the token to reach the access link (see below). ![Alt](duma_1.png "Title")
2. When you visit a DUMA access link for the first time, you will be prompted to install **IBM Aspera Connect** client.
      * click **Download** or **Download latest version** links (see below). ![Alt](duma_2.png "Title")
      * Your browser will download the client installer. <br/> ![Alt](duma_3.png "Title")
      * Run the installer till you receive the completion message. <br/> ![Alt](duma_4.png "Title")
      * Once **IBM Aspera Connect** client is installed, refresh the **access link**. You will be prompted whether you want to open **IBM Aspera Launcher**, click **Open**. <br/> ![Alt](duma_5.png "Title")

3. The **access link** page will display a **File Browser** section. Depending on the settings per access link, users can create or delete folders in the File Browser and upload or  download data.<br/> ![Alt](duma_6.png "Title")
4. Clicking **Upload** or **Download** will launch the **IBM Aspera Connect** client on your computer. You first will be asked whether you allow the client to connect to aspera.lcsb.uni.lu. Choose **Allow**.<br/> ![Alt](duma_7.png "Title")
5. At any time you can launch **IBM Aspera Connect** to display the status of uploads to or downloads from your computer. <br/> ![Alt](duma_8.png "Title")










